body {
  background-color: #040D12;
  color: #ffffff;
  font-family: 'Arial', sans-serif;
}

.energy-section {
  padding: 80px 20px;
  text-align: center;
}
.text-center
{
  color: white;
}
.energy-section h2 {
  font-size: 2rem;
  font-weight: 600;
  margin-bottom: 10px;
  color: #fff;
  position: relative;
  display: inline-block;
}
.energy-section h2:hover{
    color: #5c8374;
}

.energy-section h2::after {
  content: '';
  display: block;
  width: 50px;
  height: 3px;
  background-color: #5c8374;  
  margin: 10px auto 0;
  border-radius: 2px;
}

.energy-section p {
  font-size: 1rem;
  line-height: 1.8;
  max-width: 900px;
  margin: 0 auto;
}

.highlight {
  color: #5c8374;
  font-weight: 500;
}

.meter-card {
  position: relative;
  overflow: hidden;
  border: 2px solid #183D3D;
  border-radius: 10px;
  transition: all 0.3s ease;
}

.meter-card img {
  width: 100%;
  height: 400px;               
  object-fit: cover;           
  display: block;
  transition: transform 0.3s ease;
}

.meter-card:hover img {
  transform: scale(1.05);
}


.meter-card:hover {
  border-color: #5c8374;
  box-shadow: 0 0 20px #5c8374;
}

.overlay {
  position: absolute;
  top: 0;           
  left: 0;
  width: 100%;
  height: 100%;     
  background: rgb(4, 13, 18, 0.75);
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 15px;
  box-sizing: border-box;
  transform: translateY(100%); 
  transition: transform 0.3s ease;
}
.meter-card:hover .overlay {
  transform: translateY(0);
}

.overlay p {
  margin: 0;
  font-size: 16px;
}

h2 {
  color: #fff;
}
 
.energy-section {
    padding: 80px 0;
}
 
.timeline {
    position: relative;
    padding-left: 40px;
}
 
.timeline::before {
    content: "";
    position: absolute;
    left: 10px;
    top: 0;
    width: 2px;
    height: 100%;
    background: #5c8374;
}
 
.timeline-item {
    position: relative;
    margin-bottom: 60px;
    opacity: 0;
    transform: translateY(40px);
    transition: 0.6s ease;
}
 
.timeline-item.show {
    opacity: 1;
    transform: translateY(0);
}
 
/* .dot {
    position: absolute;
    left: -1px;
    top: 8px;
    width: 14px;
    height: 14px;
    background: #5c8374;
    border-radius: 50%;
    border: 3px solid #0a0f1c;
} */
 
.timeline-item h2 {
    color: #ffffff;
    font-size: 28px;
    font-weight: 600;
    margin-bottom: 20px;
}
 
.timeline-item p {
    font-size: 15px;
    line-height: 1.8;
    color: #ffffff;
}
 
.highlight {
    color: #5c8374;
    font-weight: 500;
}

@media (max-width: 768px) {
  .energy-section {
    padding: 50px 15px;
  }

  .energy-section h2 {
    font-size: 1.6rem;
    color: #5c8374;
  }

  .energy-section p {
    font-size: 0.95rem;
    line-height: 1.6;
  }
}
